<span
  #filterButton
  class="m-l-5"
  (click)="showFilterWidget($event)"
  [attr.data-test-element-id]="'filter-icon'"
  style="color: black"
>
  @if (filterIsActiveAndValid()) {
    <i nz-icon nzTheme="fill" [nzType]="'filter'" class="font-12-px"></i>
  } @else {
    <i nz-icon nzTheme="outline" [nzType]="'filter'" class="font-12-px"></i>
  }
</span>
